package com.xunwang.payment.enums.wxpay;

public enum  WxTradeState {

    /**
     * 支付成功
     */
    SUCCESS("SUCCESS"),

    /**
     * 未支付
     */
    NOTPAY("NOTPAY"),

    /**
     * 已关闭
     */
    CLOSED("CLOSED"),

    /**
     * 转入退款
     */
    REFUND("REFUND");

    WxTradeState(String type) {
        this.type = type;
    }

    /**
     * 微信官方交易类型
     */
    private final String type;

    public String getType() {
        return type;
    }
}
